<template>
  <router-view/>
</template>

<script>
import useSettingsStore from '@/store/modules/settings'
import {handleThemeStyle} from '@/utils/theme'
// 1.引用proivde
import {provide} from "vue"
// 2.引用echarts
import * as echarts from "echarts"


import {onMounted} from 'vue'

export default {
  setup() {
    // provider("名字","传递的内容")
    provide("echarts",echarts)
    onMounted(()=>
    {
      nextTick(() => {
        // 初始化主题样式
        handleThemeStyle(useSettingsStore().theme)
     })
    })

  },

}

</script>
